# Uses of Enum Class
org.springframework.jmx.support.RegistrationPolicy

Packages that use RegistrationPolicy
Package
Description
org.springframework.jmx.support
Contains support classes for connecting to local and remote `MBeanServer`s and for exposing an `MBeanServer` to remote clients.

## Uses of RegistrationPolicy in org.springframework.jmx.support

Methods in org.springframework.jmx.support that return RegistrationPolicy
Modifier and Type
Method
Description
`static RegistrationPolicy`
RegistrationPolicy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RegistrationPolicy[]`
RegistrationPolicy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.jmx.support with parameters of type RegistrationPolicy
Modifier and Type
Method
Description
`void`
MBeanRegistrationSupport.`setRegistrationPolicy(RegistrationPolicy registrationPolicy)`
The policy to use when attempting to register an MBean under an `ObjectName` that already exists.